#!/bin/bash

#
# digitec-suitecrm-web Copyright (c) by DIGITEC GmbH 2017
#

instance=$1
if [ -z "$instance" ]; then
  instance=suitecrm
fi

INSTANCES=$(/usr/sbin/ucr search --key suitecrm/instance |grep name |cut -d/ -f3 |sort -u)

# deleting database
SUITECRM_DB=$(/usr/sbin/ucr get suitecrm/instance/$instance/database)
if [ -z "$SUITECRM_DB" ] ; then
   echo "ERROR: database name not found in UCR suitecrm/instance/$instance/database"
   exit 1
fi
/usr/bin/mysql -u$(ucr get DB_USER) -p$(cat $(ucr get DB_SECRET)) -h $(ucr get DB_HOST) -P $(ucr get DB_PORT) $(ucr get DB_NAME) <<EOF
DROP DATABASE IF EXISTS ${SUITECRM_DB};
EOF

# deleting website
SUITECRM_PATH=$(/usr/sbin/ucr get suitecrm/instance/$instance/path)
if [ -z "$SUITECRM_PATH" ]; then
    SUITECRM_PATH=/var/www/$instance
fi
rm -rf $SUITECRM_PATH

# removing apache configuration
/usr/sbin/a2dissite $instance
rm /etc/apache2/sites-available/$instance
/etc/init.d/apache2 reload

# deleting listener
rm /usr/lib/univention-directory-listener/system/suitecrm-$instance.py
/etc/init.d/univention-directory-listener restart

# deleting secrets
rm -rf /etc/suitecrm/$instance
